include:
  - project: 'repos/releng/kokkuri'
    file: 'includes/images.yaml'

stages:
  - test
  - publish

run-test:
  extends: .kokkuri:build-and-run-image
  stage: test
  variables:
    BUILD_VARIANT: test

publish-production-image:
  extends: .kokkuri:build-and-publish-image
  stage: publish
  needs:
    - run-test
  variables:
    BUILD_VARIANT: production
    BUILD_TARGET_PLATFORMS: linux/amd64
  tags:
    - trusted
  rules:
    - if: $CI_COMMIT_TAG && $CI_COMMIT_REF_PROTECTED
